Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.sdeapi
Class SDEConnection

    java.lang.Object
      org.deegree.io.sdeapi.SDEConnection

    public class SDEConnection

extends Object

`SDEConnection`

Version:
  $Revision: 12146 $, $Date: 2008-06-04 12:18:44 +0200 (Mi, 04. Jun 2008) $
Author:
  Andreas Schmitz, last edited by: $Author: aschmitz $

Constructor Summary
`SDEConnection(String sdeServer, int sdeInstance, String sdeDatabase, String sdeVersion, String sdeUser, String sdePassword)`

Method Summary
`void` | `close()`
`com.esri.sde.sdk.client.SeConnection` | `getConnection()`
`com.esri.sde.sdk.client.SeState` | `getState()`
`com.esri.sde.sdk.client.SeVersion` | `getVersion()`
`boolean` | `isClosed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDEConnection

    public SDEConnection(String sdeServer,
                         int sdeInstance,
                         String sdeDatabase,
                         String sdeVersion,
                         String sdeUser,
                         String sdePassword)

Parameters:
  `sdeServer` -
  `sdeInstance` -
  `sdeDatabase` -
  `sdeVersion` -
  `sdeUser` -
  `sdePassword` -

Method Detail

### getConnection

    public com.esri.sde.sdk.client.SeConnection getConnection()

  Returns:
    the connection

### getVersion

    public com.esri.sde.sdk.client.SeVersion getVersion()

  Returns:
    the version

### getState

    public com.esri.sde.sdk.client.SeState getState()

  Returns:
    the state

### isClosed

    public boolean isClosed()

  Returns:
    if closed

### close

    public void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org